# [Pretzel](https://withpretzel.com)

Pretzel is a fork of Jupyter. We aim to improve Jupyter's capabilities.

Switching to Pretzel from Jupyter is easy. We pick your existing Jupyter settings
and extensions so it doesn't even feel like switching.

We're building features such as:

- Native AI features similar to [Cursor](https://cursor.sh/)
- Frictionless realtime collaboration: pair-programming, comments, version history, etc.
- SQL support (both in code cells and as a standalone SQL IDE)
- Visual analysis builder (see more here)
- VSCode like code-writing experience using [Monaco](https://github.com/microsoft/monaco-editor)
- 1-click dashboard creation from data analysis results
- End-to-end analysis on datasets for non-data folks

## Getting Started

Just as with Jupyter, you can install Pretzel by using pip:

```
pip install pretzelai
```

or by using conda:

```
conda install -c conda-forge pretzelai
```

Then, start Pretzel with:

```
pretzel
```

Just as with Jupyter, you should see a URL to access the Pretzel interface.

## Bleeding Edge Version

To use the latest version of Pretzel, you can install it directly from the main branch:

```
pip install git+https://github.com/pretzelai/pretzel.git
```

## Jupyter specific information

The original Jupyter documentation is available [here](https://jupyter.org/) and
the Jupyterlab README is available [here](https://github.com/jupyterlab/jupyterlab).
